# Interface: FlateError

An error generated within this library

## Hierarchy

* [Error](flateerror.md#error)

  ↳ **FlateError**

## Index

### Properties

* [Error](flateerror.md#error)
* [code](flateerror.md#code)
* [message](flateerror.md#message)
* [name](flateerror.md#name)
* [stack](flateerror.md#stack)

## Properties

### Error

•  **Error**: ErrorConstructor

___

### code

•  **code**: number

The code associated with this error

___

### message

•  **message**: string

*Inherited from [FlateError](flateerror.md).[message](flateerror.md#message)*

___

### name

•  **name**: string

*Inherited from [FlateError](flateerror.md).[name](flateerror.md#name)*

___

### stack

• `Optional` **stack**: string

*Inherited from [FlateError](flateerror.md).[stack](flateerror.md#stack)*
